1. PyPA
  2. Python Packaging Authority Projects
  3. pypi
  4. Issues

Issues

Issue #91 wontfix

Apache Software License version 2 not in classifiers list

abec
created an issue

https://pypi.python.org/pypi?%3Aaction=list_classifiers

I only see "License :: OSI Approved :: Apache Software License" for apache. GPL has 5 listings for 3 versions:

  1. "License :: OSI Approved :: GNU General Public License (GPL)"
  2. "License :: OSI Approved :: GNU General Public License v2 (GPLv2)"
  3. "License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)"
  4. "License :: OSI Approved :: GNU General Public License v3 (GPLv3)"
  5. "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)"

Comments (4)

  1. Unknown

    I'm pretty certain that most, if not all, of the packages use Apache 2 license. Nevertheless, I agree that it would be a good idea to add

    License :: OSI Approved :: Apache Software License v2.0
    License :: OSI Approved :: Apache Software License v1.1
    License :: OSI Approved :: Apache Software License v1.0
    

    or perhaps

    License :: OSI Approved :: Apache Software License :: 2.0
    License :: OSI Approved :: Apache Software License :: 1.1
    License :: OSI Approved :: Apache Software License :: 1.0
    

    to clarify which license version is in use.

  2. Log in to comment